language: php

php:
# - 5.3 # requires old distro, see below
  - 5.4
  - 5.5
  - 5.6
  - 7.0
  - 7.1
  - hhvm # ignore errors, see below

# lock distro so new future defaults will not break the build
dist: trusty

matrix:
  include:
    - php: 5.3
      dist: precise
  allow_failures:
    - php: hhvm

sudo: false

install:
  - COMPOSER_ROOT_VERSION=`git describe --abbrev=0` composer install --no-interaction

script:
  - vendor/bin/phpunit --coverage-text
